# Command: taskset

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    taskset - Binds a process to a processor.

Synopsis:

      proc pid taskset ->	-

Description:

      This function is a SLI interface to the UNIX command taskset.

Parameters:

      proc	- This integer value identifies a certain processing unit of the
      system the current job is running on. On a system with multi-core
      processors each core is assigned a different integer.
      pid 	- This integer value identifies the process that should be bound
      to the procesing unit proc.

Author:

    Diesmann

FirstVersion:

    September 9th, 2006

SeeAlso:

- taskset_thisjob
- Rank
- NumProcesses

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/processes.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative